# $Revision: 1.7 $, $Date: 2008-01-13 15:25:01 $

%define		_splash		moodin

Summary:	KDE splash screen
Summary(pl.UTF-8):	Ekran startowy KDE
Name:		kde-splash-%{_splash}
Version:	0.4.2
Release:	2
License:	GPL
Group:		X11/Amusements
Source0:	http://moodwrod.com/files/ksplash-engine-%{_splash}_%{version}.tar.gz
# Source0-md5:	322404928ed7e17a1c8708d4dc13b960
URL:		http://www.kde-look.org/content/show.php?content=25705
BuildRequires:	kdebase-devel
Requires:	kdebase-desktop >= 9:3.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a new splash screen engine for KDE 3.4. It includes the
moodinn and FingerPrint theme.

Featues:
 - Fading icons
 - Use current icon set or custom images
 - Use custom text values
 - Set fading delay and length
 - Custom icon/image arrangement

%description -l pl.UTF-8
To jest nowy silnik ekranu startowego dla KDE 3.4. Zawiera motywy
moodin i FingerPrint.

Cechy:
 - wygasające ikony
 - użycie aktualnego zestawu ikon lub własnych obrazków
 - użycie własnych wartości tekstu
 - ustawianie opóźnienia i długości wygasania
 - własny układ ikon/obrazków

%prep
%setup -q -n %{_splash}

%build

%configure \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/kde3/ksplashmoodin.*
%{_datadir}/apps/ksplash/Themes/MoodinKDE
%{_datadir}/apps/ksplash/Themes/FingerPrint
%{_datadir}/services/ksplashmoodin.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-splash-moodin.spec,v $
Revision 1.7  2008-01-13 15:25:01  arvenil
- BR: kdebase-devel
- adapter

Revision 1.6  2007-02-13 08:06:37  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.4  2006/01/03 15:28:54  havner
- rel 2

Revision 1.3  2005/07/25 21:12:50  qboosh
- longer pl desc

Revision 1.2  2005/07/21 18:59:50  blekot
- up to 0.4.2 (included FingerPrint) theme
- cosmetics
- added pl desc
- build (not tested yet)

Revision 1.1  2005/07/21 18:45:04  blekot
- new, NFY
